<template>
  <LoadingLayout :loading="isLoading">
    <AppContainer>
      <ChunkCell title="待处理">
        <div class="data-board-card-list">
          <DataBoardCard title="待审核企业" :contentBetween="true">
            <DataBoardCardPrice :value="20000" :isInline="true" :useThousand="false" unit="家" />
            <el-button type="primary" link @click="goToAudit">去审核</el-button>
          </DataBoardCard>
          <DataBoardCard title="奖励金待发放" :contentBetween="true">
            <DataBoardCardPrice :isInline="true" :value="20000" :useThousand="false" unit="家" />
            <el-button type="primary" link @click="goToGrant">去发放</el-button>
          </DataBoardCard>
        </div>
      </ChunkCell>
      <ChunkCell title="数据看板">
        <div class="data-board-card-list">
          <DataBoardCard title="累计已审核企业">
            <DataBoardCardPrice :value="20000" :useThousand="false" unit="家" />
          </DataBoardCard>
          <DataBoardCard title="累计已审核通过企业">
            <DataBoardCardPrice :value="20000" :useThousand="false" unit="家" />
          </DataBoardCard>
          <DataBoardCard title="累计未审核通过企业">
            <DataBoardCardPrice :value="20000" :useThousand="false" unit="家" />
          </DataBoardCard>
          <DataBoardCard title="累计已发放奖励金">
            <DataBoardCardPrice :value="20000" unit="元" />
          </DataBoardCard>
          <DataBoardCard title="累计待发放奖励金">
            <DataBoardCardPrice :value="20000" unit="元" />
          </DataBoardCard>
          <DataBoardCard title="累计已使用奖励金">
            <DataBoardCardPrice :value="20000" unit="元" />
          </DataBoardCard>
        </div>
      </ChunkCell>
    </AppContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import { AppContainer, ChunkCell } from '@bole-core/components';
import DataBoardCard from '@/components/DataBoardCard/DataBoardCard.vue';
import DataBoardCardPrice from '@/components/DataBoardCard/DataBoardCardPrice.vue';

defineOptions({
  name: 'Home',
});

const router = useRouter();
const isLoading = ref(false);
function goToAudit() {
  router.push({
    name: 'MaterialReviewList',
  });
}
function goToGrant() {
  router.push({
    name: 'RewardGrant',
  });
}
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.data-board-card-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 40px;
  padding: 20px;
}
</style>
